powered by Jive Software

Spark on Ubuntu

Hi, trying to install Spark on Ubuntu Dapper Drake.

First trying to run ./Spark just complains about a /lib/windows directory not existing (I don’'t think this is important) but does nothing.

So I upgraded to jre1.5, and still does nothing, but I get a clue from the error log that I need to install something to do with awt, whatever that is. So I installed libgcj7-awt.

Now when running Spark I get a dialogbox saying java.lang.NullPointerException and then it quits.

Any ideas?

Thanks,

Ben

Do you have JAVA_HOME env. variable?

I didn’‘t, so I added it. But it didn’'t seem to make a difference.

Thanks,

Ben

I’'m sorry, but it is not clear for me.

You loaded Sun J2RE 1.5.0 or GCJ?

Hi,

I installed the Sun JRE 1.5

Interestingly though running:

java -version still tells me:

java version “1.4.2”

gij (GNU libgcj) version 4.1.0 (Ubuntu 4.1.0-1ubuntu6)

Don’‘t really know what I’'m doing now.

Ben

ok, I think you’'ll need to set JAVA_HOME variable pointing to your Sun JRE Installation path like this:

export JAVA_HOME=/usr/j2re1.5.0_06/ depending on your installation.

After that, you can try to update PATH variable like this:

export PATH=/usr/j2re1.5.0_06/bin:$PATH

after this actions you should get Sun JRE in java -version and Spark should work.

Woohoo, it works,

Thanks for that!

Ben

Wow guys, you all responded so quickly Even before I woke up.

-Derek